## helma.objectmodel
Class Property

    java.lang.Object
      helma.objectmodel.Property

All Implemented Interfaces:
  IProperty, java.io.Serializable

    public final class Property

extends java.lang.Object
implements IProperty, java.io.Serializable

A property implementation for Nodes stored inside a database.

See Also:
  Serialized Form

Field Summary
`boolean` `bvalue`
`double` `dvalue`
`java.lang.Object` `jvalue`
`long` `lvalue`
`protected TransientNode` `node`
`INode` `nvalue`
`protected java.lang.String` `propname`
`java.lang.String` `svalue`
`int` `type`

Fields inherited from interface helma.objectmodel.IProperty
`BOOLEAN, DATE, FLOAT, INTEGER, JAVAOBJECT, NODE, STRING`

Constructor Summary
`Property(java.lang.String propname, TransientNode node)` Creates a new Property object.
`Property(TransientNode node)` Creates a new Property object.

Method Summary
`boolean` `getBooleanValue()`
`java.util.Date` `getDateValue()`
`double` `getFloatValue()`
`long` `getIntegerValue()`
`java.lang.Object` `getJavaObjectValue()`
`java.lang.String` `getName()`
`INode` `getNodeValue()`
`java.lang.String` `getStringValue()`
`int` `getType()`
`java.lang.Object` `getValue()`
`void` `setBooleanValue(boolean value)`
`void` `setDateValue(java.util.Date value)`
`void` `setFloatValue(double value)`
`void` `setIntegerValue(long value)`
`void` `setJavaObjectValue(java.lang.Object value)`
`void` `setNodeValue(INode value)`
`void` `setStringValue(java.lang.String value)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### propname

    protected java.lang.String propname

### node

    protected TransientNode node

### svalue

    public java.lang.String svalue

### bvalue

    public boolean bvalue

### lvalue

    public long lvalue

### dvalue

    public double dvalue

### nvalue

    public INode nvalue

### jvalue

    public java.lang.Object jvalue

### type

    public int type

Constructor Detail

### Property

    public Property(TransientNode node)

  Creates a new Property object.

  Parameters:
    `node` - ...

### Property

    public Property(java.lang.String propname,
                    TransientNode node)

  Creates a new Property object.

  Parameters:
    `propname` - ...
    `node` - ...

Method Detail

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `IProperty`
  Returns:
    ...

### getValue

    public java.lang.Object getValue()

  Specified by:
    `getValue` in interface `IProperty`
  Returns:
    ...

### setStringValue

    public void setStringValue(java.lang.String value)

  Parameters:
    `value` - ...

### setIntegerValue

    public void setIntegerValue(long value)

  Parameters:
    `value` - ...

### setFloatValue

    public void setFloatValue(double value)

  Parameters:
    `value` - ...

### setDateValue

    public void setDateValue(java.util.Date value)

  Parameters:
    `value` - ...

### setBooleanValue

    public void setBooleanValue(boolean value)

  Parameters:
    `value` - ...

### setNodeValue

    public void setNodeValue(INode value)

  Parameters:
    `value` - ...

### setJavaObjectValue

    public void setJavaObjectValue(java.lang.Object value)

  Parameters:
    `value` - ...

### getStringValue

    public java.lang.String getStringValue()

  Specified by:
    `getStringValue` in interface `IProperty`
  Returns:
    ...

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    ...

### getIntegerValue

    public long getIntegerValue()

  Specified by:
    `getIntegerValue` in interface `IProperty`
  Returns:
    ...

### getFloatValue

    public double getFloatValue()

  Specified by:
    `getFloatValue` in interface `IProperty`
  Returns:
    ...

### getDateValue

    public java.util.Date getDateValue()

  Specified by:
    `getDateValue` in interface `IProperty`
  Returns:
    ...

### getBooleanValue

    public boolean getBooleanValue()

  Specified by:
    `getBooleanValue` in interface `IProperty`
  Returns:
    ...

### getNodeValue

    public INode getNodeValue()

  Specified by:
    `getNodeValue` in interface `IProperty`
  Returns:
    ...

### getJavaObjectValue

    public java.lang.Object getJavaObjectValue()

  Specified by:
    `getJavaObjectValue` in interface `IProperty`
  Returns:
    ...

### getType

    public int getType()

  Specified by:
    `getType` in interface `IProperty`
  Returns:
    ...

Copyright © 1998-1998-${year} Helma.org. All Rights Reserved.